Subject: [dane] Draft 15 test page

From: James Cloos <[email-masked]>
Date: Sat, 04 Feb 2012 17:01:23 -0500

I put up a simple test page at:

  https://jhcloos.com/dane/

with a supporting draft-15 TLSA RR at _443._tcp.jhcloos.com.

I used Pieter Lexis’ swede¹ to generate the RR.

My version of powerdns lacks the two recent fixes in svn needed to
properly support the recent drafts, but I massaged the data to fit
what the current release requires in order accurately to serve the
newer style RR.  A verified dig of the RR:

  :; dig _443._tcp.jhcloos.com. TYPE65468 +tcp +dnssec

matches what swede generated.  The next release of powerdns should
work out of the box.

-JimC

1] https://github.com/pieterlexis/swede

-- 
James Cloos <[email-masked]>         OpenPGP: 1024D/ED7DAEA6